Delen via


Replication Links - Get

Hiermee haalt u een replicatiekoppeling op.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks/{linkId}?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
databaseName
path True

string

De naam van de database.

linkId
path True

string

De naam van de replicatiekoppeling.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serverName
path True

string

De naam van de server.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ReplicationLink

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Gets the replication link.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/gamma-db/replicationLinks/4891ca10-ebd0-47d7-9182-c722651780fb?api-version=2025-01-01

Voorbeeldrespons

{
  "name": "4891ca10-ebd0-47d7-9182-c722651780fb",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/gamma-db/replicationLinks/4891ca10-ebd0-47d7-9182-c722651780fb",
  "properties": {
    "isTerminationAllowed": true,
    "linkType": "GEO",
    "partnerDatabase": "gamma-db",
    "partnerDatabaseId": "/subscriptions/00000000-1111-2222-3333-555555555555/resourceGroups/Second-Default/providers/Microsoft.Sql/servers/testsvr/databases/gamma-db",
    "partnerLocation": "Japan East",
    "partnerRole": "Secondary",
    "partnerServer": "testsvr",
    "percentComplete": 100,
    "replicationMode": "ASYNC",
    "replicationState": "CATCH_UP",
    "role": "Primary",
    "startTime": "2018-06-21T08:12:43.783Z"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ReplicationLink

Een replicatiekoppeling.

ReplicationLinkType

Koppelingstype (GEO, NAMED, STAND-BY). Updatebewerking biedt geen ondersteuning voor NAMED.

ReplicationRole

Lokale replicatierol.

ReplicationState

Replicatiestatus (IN BEHANDELING, SEEDING, CATCHUP, ONDERBROKEN).

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

Een replicatiekoppeling.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.isTerminationAllowed

boolean

Of de gebruiker momenteel de koppeling mag beƫindigen.

properties.linkType

ReplicationLinkType

Koppelingstype (GEO, NAMED, STAND-BY). Updatebewerking biedt geen ondersteuning voor NAMED.

properties.partnerDatabase

string

Resourcepartnerdatabase.

properties.partnerDatabaseId

string

Database-id van resourcepartner.

properties.partnerLocation

string

Locatie van resourcepartner.

properties.partnerRole

ReplicationRole

Partnerreplicatierol.

properties.partnerServer

string

Bronpartnerserver.

properties.percentComplete

integer (int32)

Voltooiingspercentage seeding voor de koppeling.

properties.replicationMode

string

Replicatiemodus.

properties.replicationState

ReplicationState

Replicatiestatus (IN BEHANDELING, SEEDING, CATCHUP, ONDERBROKEN).

properties.role

ReplicationRole

Lokale replicatierol.

properties.startTime

string (date-time)

Tijdstip waarop de koppeling is gemaakt.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

ReplicationLinkType

Koppelingstype (GEO, NAMED, STAND-BY). Updatebewerking biedt geen ondersteuning voor NAMED.

Waarde Description
GEO

Geografisch gebied

NAMED

GENOEMD

STANDBY

STAND-by

ReplicationRole

Lokale replicatierol.

Waarde Description
Primary

Primary

Secondary

Secundaire

NonReadableSecondary

NietLeesbaarSecundair

Source

bron

Copy

Copy

ReplicationState

Replicatiestatus (IN BEHANDELING, SEEDING, CATCHUP, ONDERBROKEN).

Waarde Description
PENDING

AANHANGIG

SEEDING

ZAAIEN

CATCH_UP

Achterstand inhalen

SUSPENDED

GESCHORST

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.